Subject: bug#3022: 23.0.92; triangle images in Customize buffers are just plain bad

From: Lennart Borgman <[email-masked]>
Date: Fri, 6 Nov 2009 03:53:31 +0100

On Fri, Nov 6, 2009 at 2:50 AM, Juri Linkov <[email-masked]> wrote:
>>>
>>> This is a very standard user interface idiom, known as "disclosure
>>> triangles".
>>
>> Calling it by name and "very standard" doesn't improve anything. It was I who
>> suggested the idea in the first place. The idea is fine, as I said already.
>>
>> "The current _effect_ is bad." That's the point: it is simply not done right.
>> The result is confusion and easily missing information. See above for details.
>
> From http://en.wikipedia.org/wiki/Disclosure_widget
>
>  The state of the widget is often signified by a label with a triangle
>  next to it, pointing sideways when it is collapsed and downward when
>  it is expanded (corresponding to the widget's current state), or
>  a button with an arrow pointing downward when it is collapsed and
>  upward when it is expanded (corresponding to how the widget will
>  change state if the button is clicked).

I think the triangles are rather standard, but refering to them with
"Show" is not so very common outside of Emacs, but here is an example
from a customize buffer:

  Majmodpri Sort After Load: (triangle)
    State: HIDDEN, invoke "Show" in the previous line to show.